# CM Libs Bootstrap

Common Libs Bootstrap

## Getting Started

This repository serve as a library for common bootstrap library.

## How to setup environment?

1. Clone this repository.

2. Change directory to the repository.

3. Install package dependencies.
   ```
   npm install
   ```

## How to run unit-test?

1. Write test cases in a `*.spec.ts` file under the same folder with the actual module file. For example, module file `src/bootstrap.ts`, unit-test file `src/bootstrap.spec.ts`.

2. Run unit-test command.

   - To run single module unit-test.

     ```
     npm run test src/bootstrap.spec.ts
     ```

   - To run all unit-test.
     ```
     npm run test
     ```

## How to debug?

Please use unit-test method for debugging.

1. Set breakpoint on the source code by pressing `F9` key.

2. Run unit-test command with debugging.

   ```
   npm run debug-this src/bootstrap.spec.ts
   ```

3. Start debugging by pressing `F5` key.

## How to release version?

Write commit message that contains keyword

- `run-release` to publish patch version.
- `run-prerelease` to publish prerelease version.
