import { CheckFormatFunc } from 'cm-libs-utils';
export declare class ConfigBase {
    private static self;
    protected validators: {
        [key: string]: CheckFormatFunc;
    };
    private static get Instance();
    static setValidator(key: string, validator: CheckFormatFunc | undefined): typeof ConfigBase;
    static clearValidator(): boolean;
    static get<T>(key: string, validator?: CheckFormatFunc): T;
}
