import { RedisPubSub as GraphqlRedis } from 'graphql-redis-subscriptions';
export type PubSubParams = {
    REDIS_URL?: string;
    REDIS_HOST?: string;
    REDIS_PORT?: number;
};
export declare abstract class BasePubSub {
    private readonly REDIS_URL;
    private readonly REDIS_HOST;
    private readonly REDIS_PORT;
    redis: GraphqlRedis;
    constructor(params?: PubSubParams);
    private initRedis;
    term(): Promise<void>;
}
