import Joi from 'joi';
export declare const _token: Joi.StringSchema<string>;
export declare const _remark: Joi.StringSchema<string>;
type ObjectOverrides = {
    where?: Joi.ObjectSchema;
};
export declare function getBrowseJoiSchema(type: string[], scalarFieldEnumSchema: any, orderByWithRelationInputSchemaObject: any, objectOverrides?: ObjectOverrides): Partial<{
    distinct: Joi.ArraySchema<any[]>;
    where: Joi.ObjectSchema<any>;
    pagination: Joi.ObjectSchema<import("../model/model").BaseModelBrowsePagination>;
    orderBy: Joi.ArraySchema<any[]>;
    options: Joi.ObjectSchema<any>;
    include: Joi.ObjectSchema<any>;
    select: Joi.ObjectSchema<any>;
}>;
export declare function getReadJoiSchema(type: string[], whereUniqueInputSchemaObject: any): Partial<{
    where: Joi.ObjectSchema<any>;
    select: Joi.ObjectSchema<any>;
    include: Joi.ObjectSchema<any>;
}>;
export declare function getEditJoiSchema(type: string[], updateInputSchemaObject: any, whereUniqueInputSchemaObject: any): Partial<{
    data: Joi.ObjectSchema<any>;
    where: Joi.ObjectSchema<any>;
    select: Joi.ObjectSchema<any>;
    include: Joi.ObjectSchema<any>;
}>;
export declare function getAddJoiSchema(type: string[], addInputSchemaObject: any): Partial<{
    data: Joi.ObjectSchema<any>;
    select: Joi.ObjectSchema<any>;
    include: Joi.ObjectSchema<any>;
}>;
export declare function getDeleteJoiSchema(type: string[], whereUniqueInputSchemaObject: any): Partial<{
    where: Joi.ObjectSchema<any>;
    select: Joi.ObjectSchema<any>;
    include: Joi.ObjectSchema<any>;
}>;
export {};
